﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LinqExamples
{
    class Program
    {
        static void Main(string[] args)
        {
            // initialize number array
            int[] myNums = new int[3] { 0, 1, 2 };

            Console.WriteLine("Contents of myNums");
            foreach (int num in myNums)
            {
                Console.WriteLine(" {0,1} ", num);
            }

            // LINQ query syntax
            var numQuery = from num in myNums
                           where (num % 2) == 0
                           select num;

            Console.WriteLine("\nOutput 1:");
            foreach (int num in numQuery)
            {
                Console.WriteLine(" {0,1} ", num);
            }

            // LINQ lambda syntax
            var numLambda = myNums.Where(n => ((n % 2) == 0));

            Console.WriteLine("\nOutput 2:");
            foreach (int num in numLambda)
            {
                Console.WriteLine(" {0,1} ", num);
            }
            Console.ReadKey();
        }
    }
}
